AnsweredAssumed Answered

directfb with fusion can not compile

Question asked by jiangfux on Jun 15, 2013
Latest reply on Jun 24, 2013 by jiangfux

Hi, ereryone.

When i enable

[*]   directfb multi application

directfb need linux-fusion.

 

i get error as in attachment log_error1.txt.

 

after i add some lines in linux-fusion-8.8.1/Makefile:

29 ifneq ($(KERNEL_SOURCE), )

30   K_VERSION    = $(shell grep '^VERSION =' $(KERNEL_SOURCE)/Makefile | cut -d ' ' -f 3)

31   K_PATCHLEVEL = $(shell grep '^PATCHLEVEL =' $(KERNEL_SOURCE)/Makefile | cut -d ' ' -f 3)

32   K_SUBLEVEL   = $(shell grep '^SUBLEVEL =' $(KERNEL_SOURCE)/Makefile | cut -d ' ' -f 3)

33 else

34   K_VERSION    = $(shell grep '^VERSION =' $(KERNEL_BUILD)/Makefile | cut -d ' ' -f 3)

35   K_PATCHLEVEL = $(shell grep '^PATCHLEVEL =' $(KERNEL_BUILD)/Makefile | cut -d ' ' -f 3)

36   K_SUBLEVEL   = $(shell grep '^SUBLEVEL =' $(KERNEL_BUILD)/Makefile | cut -d ' ' -f 3)

37 endif

38 ifeq ($(K_SUBLEVEL), )

39   K_SUBLEVEL = 7

40 endif

41 #$(error $(K_VERSION), $(K_PATCHLEVEL), $(K_SUBLEVEL))

42

43 SUB    = linux/drivers/char/fusion

44 SUBMOD = drivers/char/fusion

 

i get error as in attachment in log_error2.txt.

 

thanks for your help.

Outcomes